Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Applications » Проблем с adept updater
Тема: Проблем с adept updater, и няколко други въпросчета!
Мнение #1 Skip to the next post in this topic.
Написано на: Юли 28 2006, 16:42
acider

No avatar chosen




Група: Li fans
Мнения: 55
Регистриран: Юли 2006

Оценка: няма

Offline
Добър ден на всички,

Отново съм сръзен при опит да упдейтна няколко чакащи пакета в адепт инсталера ми излиза следното съобщение:

Another process is using the packaging system database (probably some other Adept application or apt-get or aptitude). Please close the other application before using this one.

Второто което ме убива е при опит да инсталвам от конзолата ми дава следното

dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

Трето влизайки (което е много трудно) в адепт и намирайки това  'dpkg' му давам инстал но немога да приложа променита Аплито не е активно.

:29;  :29;  :29;  :29;  :29;
Контакти:  acider
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 28 2006, 17:15
acider

No avatar chosen




Група: Li fans
Мнения: 55
Регистриран: Юли 2006

Оценка: няма

Offline
Проблема е локализиран стартирано е вече упдейтване, но явно е забило та как мога да го крашна, че идея си нямам!
Контакти:  acider
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 28 2006, 17:33
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
За да убиеш стартиран от теб процес пишеш:
Код: 
killall името_на_процеса

Ако процесът е стартиран като root потребител, първо трябва да влезеш като su.


Редактирано от phantomlord на Юли 28 2006, 21:03

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 28 2006, 17:52
acider

No avatar chosen




Група: Li fans
Мнения: 55
Регистриран: Юли 2006

Оценка: няма

Offline
Ми не става писах какви ли не имена на процеси вярно повечето аз си ги измислих но ето какво  става:

kolermo@kolermo-desktop:~$ killall adept
adept(5118): Operation not permitted
adept: no process killed

и т.н. просто тая щуротия не мога да я накарам да спре свалянето на пакетите и инсталирането им забило пробвах с резет всичко е наред, но тц неще.

А и като изтерскам SU ич не ми признава паса!
Контакти:  acider
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 28 2006, 20:35
Drakula

Avatar




Група: Li fans
Мнения: 240
Регистриран: Август 2005

Оценка: няма

Offline
Цитат:  (acider @ Юли 28 2006,17:52)

adept(5118): Operation not permitted

Код: 
sudo killall adept


Така ще пуснеш killall с root права

Цитат:

А и като изтерскам SU ич не ми признава паса!

А пък това вероятно само ти си го разбираш :P
Контакти:  Drakula
WEB  
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 28 2006, 21:05
phantomlord
Phantom Lord
Avatar




Група: Li maniacs
Мнения: 665
Регистриран: Август 2005

Оценка: няма

Offline
За да си зададеш администраторска парола в *Ubuntu, изпълни:
Код: 
sudo passwd root

Debian lenny/sid, 2.6.24-phantomlord, KDE 3.5.9
http://myfreesoft.net/phpBB2/index.php?c=7
The knowledge is to be shared...
Помогни си сам, за да ти помогне и Господ
Контакти:  phantomlord

  • AOL  AOL:
  • ICQ  ICQ: 322393169
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Юли 28 2006, 21:09
acider

No avatar chosen




Група: Li fans
Мнения: 55
Регистриран: Юли 2006

Оценка: няма

Offline
Ми то май на мен това да преинсталирам ми е вродено, днес два пъти

Сега пробвах съветите 'ЕМИ СТАВА !'

Мерси Ви много и очаквайте нови глупави въпроси съвсем скоро :8;
Контакти:  acider
WEB  
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Август 01 2006, 11:02
acider

No avatar chosen




Група: Li fans
Мнения: 55
Регистриран: Юли 2006

Оценка: няма

Offline
Така, проблема пак се появи и незнам какво става.

Another process is using the packaging system database (probably some other Adept application or apt-get or aptitude). Please close the other application before using this one.

dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

Виждам, че е започнала някаква инсталация 'припериинг' на нещо си с име 'IDLE'  лошото е че си седи на 0% и не мърда, не знам  какво му е отношението с това 'dpkg' , но не ми дава да правя никакви промени в адепт немога да го крашна нито с :

sudo killall adept
adept: no process killed

kdesu killall adept
adept: no process killed

както и с какви ли ни свободни импровизации от моя страна. Единствения напредък който постигнах беше през 'synaptic' като му дадох унинстал на адепт :D което за кратко ми разреши да направи упдейт за жалост се получи кофти грешка при упдейта 'някои пакети не могат да се свалят' което отново доведе до проблем със същото 'IDLE'. От къде да разнищя тоз проблем защото не ми се иска пак да прейнсталирам (така реших преди проблема). А и как да си сменя сорс листа с БГ огледала при положение, че горния проблем не се реши. А и много ме гризе да пробвам чудния пост на RED за Mplayer изглежда ми супер ясен и точна кат мен step by step! Thanks!

Още малко инфо, при опит да деинсталирам адепт през синаптик ми излиза проблем с някаква антивирусна CLAMAV

E: clamav-base: subprocess post-installation ###### returned error exit status 1
E: clamav-freshclam: dependency problems - leaving unconfigured
E: clamav: dependency problems - leaving unconfigured
E: gforge-db-postgresql: subprocess post-installation ###### returned error exit status 1
E: gforge-ldap-openldap: dependency problems - leaving unconfigured
E: sylpheed-claws-gtk2-clamav: dependency problems - leaving unconfigured
E: sylpheed-claws-gtk2-plugins: dependency problems - leaving unconfigured

възможно ли е това да ме мъчи и как да я разкарам тази антивурсна програма!


Редактирано от acider на Август 01 2006, 11:14
Контакти:  acider
WEB  
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Август 01 2006, 11:17

Avatar


Warn 3

Група: Li fans
Мнения: 384
Регистриран: Април 2006

Оценка: няма

Offline
Прегледай това. Там ще видиш sources.list с bg mirror-a, т.е. само copy->paste. Задължително след това даваш apt-get update и препоръчително е и upgrade. Предполагам, че си *убунту.

Good luck

red@debian:~$ sudo apt-build world
-----> Rebuilding the world! <-----
-----> Building package list <-----
Please read README.Debian first.
red@debian:~$
Контакти:  Red

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #10
Skip to the previous post in this topic. Написано на: Август 01 2006, 12:45
acider

No avatar chosen




Група: Li fans
Мнения: 55
Регистриран: Юли 2006

Оценка: няма

Offline
Направих опит да си променя сорса, но проблема е следния при упдейт всичко е ОК обаче при упгрейд ми дава че някакви пакети не са kонфигuрирани  намирам тези пакети, но при инсталацията излизат един куп грешки:

E: gforge-db-postgresql: subprocess post-installation ###### returned error exit status 1
E: gforge-web-apache: dependency problems - leaving unconfigured
E: gforge-ldap-openldap: dependency problems - leaving unconfigured
E: gforge-mta-exim4: dependency problems - leaving unconfigured
E: gforge-shell-ldap: dependency problems - leaving unconfigured
E: gforge-cvs: dependency problems - leaving unconfigured
E: gforge-ftp-proftpd: dependency problems - leaving unconfigured
E: gforge-dns-bind9: dependency problems - leaving unconfigured
E: gforge-lists-mailman: dependency problems - leaving unconfigured
E: gforge: dependency problems - leaving unconfigured

Лошото е, че нито ги знам тези работи трябват ли ми не ми ли?
Всеки опит за упгрейт на дистрото ми казва ръчно да подкарам 'dpkg' съответно аз пробвам разни работи и в адепт и като му задам да тръгне през 'RUN' никакъв ефект. Аз си мисля, че е нещо в нет настройките там днс, фтп .... кофти работа



:29;
Контакти:  acider
WEB  
Общо 10 отговор(а) от Юли 28 2006, 16:42 до сега
 » Начало » Li Форуми » Help & Support » Applications » Проблем с adept updater

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums